/*
 * Tab bar
 *
 */

/**
 * @prop --tab-background: background color of the tab bar
 */


:host {
  --tab-bar-background: var(--road-surface);
  --tab-color: var(--road-on-surface-weak);
  --tab-color-selected: var(--road-on-surface);
  --tab-underline-selected: var(--road-primary);
  --tab-background: var(--road-surface);
  --tab-background-hover: var(--road-surface-inverse);
  --tab-background-focused: var(--road-grey-70);

  display: flex;
  width: 100%;
  margin: 0;
  overflow: scroll;
  overflow-x: inherit;
  font-family: var(--road-font, sans-serif);
  line-height: 1.5;
  color: var(--road-on-surface-weak);
  list-style: none;
  background: var(--tab-bar-background);
  border-bottom: 1px solid var(--road-outline-weak);
  fill: currentColor;
  scrollbar-width: none;
}

:host(::-webkit-scrollbar) {
  display: none;
}

:host(.tab-expand) ::slotted(road-tab-button) {
  width: 100%;
}

:host(.tab-secondary) ::slotted(road-tab-button) {
  --tab-underline-selected: var(--road-secondary);
}

:host(.tab-center) {
  justify-content: center;
}
